# nng_str_sockaddr(3) Manual Page

## NAME

nng_str_sockaddr - get string representation of socket address

## SYNOPSIS

    #include <nng/nng.h>

    #define NNG_MAXADDRSTRLEN (NNG_MAXADDRLEN+16)
    const char *nng_str_sockaddr(const nng_sockaddr *sa, char *buf, size_t bufsz)

## DESCRIPTION

The `nng_str_sockaddr()` is used to provide a displayable representation for the socket address sa. The content will be stored the location provided by buf, and will be formatted to fit within bufsz bytes, truncating if necessary.

As long as bufsz is greater than zero, the result will be properly zero-terminated in the usual fashion.

The `NNG_MAXADDRSTRLEN` can be used to provide a buffer large enough to hold most socket addresses. It is possible for applications to use very much larger socket addresses (using very long paths for IPC or inproc), but such addresses are not generally compatible with other implementations, and will be truncated here.

## RETURN VALUES

This function returns the buf argument.

## ERRORS

None.

## SEE ALSO

nng_sockaddr(5)